Skip to main content
GET
Inspect one workflow run

Authorizations

x-api-key
string
header
required

Organization API key. Get it from the 11x team or from the platform.

Path Parameters

agentId
string
required

ID of the agent, e.g. agent.abc123.

Query Parameters

runId
string
required

workflowRunId returned by POST.

Minimum string length: 1

Response

Run status.

workflowRunId
string
required
status
enum<string>
required
Available options:
queued,
in_progress,
completed,
failed
startedAt
string<date-time> | null
required

Null while queued.

finishedAt
string<date-time> | null
required

Null until terminal.

terminalNodes
object[]
required